Subject: Re: [dnsext] WGLC: DNS Proxy Implementation Guidelines

From: Francisco Arias <[email-masked]>
Date: Fri, 13 Mar 2009 12:04:29 -0600

I read the document and I support it in general.

I just have an small suggestion. In section 5.3 is written:

"  Another possibility is that the learnt upstream values might be
   persisted in non-volatile memory such that on reboot the same values
   can be automatically offered via DHCP.  However this does run the
   risk that incorrect values are initially offered if the device is
   moved or connected to another ISP."

I suggest removing this paragraph because of the very same reason that
is stated in the last sentence of the paragraph. I think is a much
better option to have short lived DHCP leases as mentioned later on
the document. Even the option of offering the proxy's own IP as the
DNS server is better than the option described in the aforementioned
paragraph.

Regards,

fjac

________________________________
> Date: Thu, 12 Mar 2009 18:21:50 -0400
> To: [email-masked]
> From: [email-masked]
> Subject: [dnsext] WGLC: DNS Proxy Implementation Guidelines
>
> This note starts a Working Group Last Call for this
> Standards Track document ending on midnight April 2'nd UTZ 2009.
>
> URL for the document and its history:
>
> http://tools.ietf.org/wg/dnsext/draft-ietf-dnsext-dnsproxy/
>
> We are planning to ask for publication as a BCP. We think that
> it does not update any RFC. Some may think that the recommendations in the
> document do in fact update a Standards Track document. If you believe that,
> please tell us the specific text you think is problematic, and what RFC it updates.
>
> Please read the document carefully, this is an important document that
> the DNS community can use to improve the behavior of an important segment
> of the industry.
>
> The document process rules in this working group, require that at
> least 5 members of the working to state that they have reviewed the
> document and there is consensus of support to publish it as a BCP.
>
> Notes: the final wording of section 4.5 will be determined during this
> last call.
>
> Some issues have been raised about SHOULD/MUST language in there, see
>
> http://ops.ietf.org/lists/namedroppers/namedroppers.2009/msg00289.html
>
>
> Olafur
> (for the chairs)

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>